aboutsummaryrefslogtreecommitdiffstats
path: root/main/rtpproxy/rtpproxy.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/rtpproxy/rtpproxy.initd')
-rw-r--r--main/rtpproxy/rtpproxy.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/main/rtpproxy/rtpproxy.initd b/main/rtpproxy/rtpproxy.initd
new file mode 100644
index 0000000000..5e53e51e88
--- /dev/null
+++ b/main/rtpproxy/rtpproxy.initd
@@ -0,0 +1,25 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header$
+
+PIDFILE=/var/run/rtpproxy.pid
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting rtpproxy"
+ start-stop-daemon --start --quiet --pidfile "${PIDFILE}" \
+ --exec /usr/bin/rtpproxy \
+ -- -urtpproxy:rtpproxy -p"${PIDFILE}" ${RTPPROXY_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping rtpproxy"
+ start-stop-daemon --stop --quiet --pidfile "${PIDFILE}"
+ eend $?
+}
+